Last Comment Bug 891235 - WebSMS: remove navigator.mozSms
: WebSMS: remove navigator.mozSms
Status: RESOLVED FIXED
[fixed-in-birch]
: dev-doc-complete
Product: Core
Classification: Components
Component: DOM: Device Interfaces (show other bugs)
: unspecified
: All All
: -- trivial (vote)
: mozilla25
Assigned To: Vicamo Yang [:vicamo][:vyang]
:
Mentors:
Depends on: 881866
Blocks: b2g-sms
  Show dependency treegraph
 
Reported: 2013-07-08 21:34 PDT by Vicamo Yang [:vicamo][:vyang]
Modified: 2013-08-09 23:30 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
WIP (116.84 KB, patch)
2013-07-10 05:06 PDT, Vicamo Yang [:vicamo][:vyang]
no flags Details | Diff | Review
patch (173.73 KB, patch)
2013-07-11 04:05 PDT, Vicamo Yang [:vicamo][:vyang]
mounir: review+
Details | Diff | Review
patch : v2 (176.95 KB, patch)
2013-07-23 06:55 PDT, Vicamo Yang [:vicamo][:vyang]
vicamo: review+
Details | Diff | Review
patch : v3 (176.95 KB, patch)
2013-07-23 19:58 PDT, Vicamo Yang [:vicamo][:vyang]
vicamo: review+
Details | Diff | Review
bug-891235.patch (184.87 KB, patch)
2013-07-26 03:39 PDT, Vicamo Yang [:vicamo][:vyang]
vicamo: review+
Details | Diff | Review

Description Vicamo Yang [:vicamo][:vyang] 2013-07-08 21:34:48 PDT
We should have only navigator.mozMobileMessage from now on.
Comment 1 Vicamo Yang [:vicamo][:vyang] 2013-07-10 05:06:47 PDT
Created attachment 773227 [details] [diff] [review]
WIP
Comment 2 Vicamo Yang [:vicamo][:vyang] 2013-07-11 04:05:12 PDT
Created attachment 773887 [details] [diff] [review]
patch

https://tbpl.mozilla.org/?tree=Try&rev=d516adace020
Comment 3 Mounir Lamouri (:mounir) 2013-07-23 02:44:54 PDT
Comment on attachment 773887 [details] [diff] [review]
patch

Review of attachment 773887 [details] [diff] [review]:
-----------------------------------------------------------------

rs=me

Though, some changes might no longer apply with the recent Navigator's WebIDL conversion.
Comment 4 Vicamo Yang [:vicamo][:vyang] 2013-07-23 06:55:43 PDT
Created attachment 779746 [details] [diff] [review]
patch : v2

Rebase. https://tbpl.mozilla.org/?tree=Try&rev=3d9a65d66d2f
Comment 5 Vicamo Yang [:vicamo][:vyang] 2013-07-23 19:58:42 PDT
Created attachment 780138 [details] [diff] [review]
patch : v3

fix Mn bustage.
Comment 6 Vicamo Yang [:vicamo][:vyang] 2013-07-23 20:01:22 PDT
https://hg.mozilla.org/projects/birch/rev/5ce6a2000fa3
Comment 7 Ed Morley [:emorley] 2013-07-24 02:12:55 PDT
Backed out for failures in test_getthreads.js:
https://tbpl.mozilla.org/php/getParsedLog.php?id=25645979&tree=Birch

https://hg.mozilla.org/projects/birch/rev/483f3f62f092
Comment 8 Vicamo Yang [:vicamo][:vyang] 2013-07-26 03:39:44 PDT
Created attachment 781623 [details] [diff] [review]
bug-891235.patch

Picked wrong patch file.
Comment 9 Vicamo Yang [:vicamo][:vyang] 2013-07-26 03:41:10 PDT
https://hg.mozilla.org/projects/birch/rev/5512e76c7a26
Comment 10 Ryan VanderMeulen [:RyanVM] 2013-07-26 11:21:56 PDT
https://hg.mozilla.org/mozilla-central/rev/5512e76c7a26
Comment 12 Kohei Yoshino [:kohei] 2013-08-09 23:30:58 PDT
Removed this bug from the site compat doc. My false positive.

Note You need to log in before you can comment on or make changes to this bug.